---
title: ceiling
slug: Web/XPath/Functions/ceiling
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>ceiling</code> function evaluates a decimal number and returns the smallest integer greater than or equal to the decimal number.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">ceiling(<em>number</em> )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><em>number</em></code></dt>
 <dd>The number to be evaluated.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>The nearest integer greater than or equal to <code><em>number</em></code>.</p>

<p>for example:</p>

<p><code>    ceiling (<em>5.2</em>)</code> = <var>6</var></p>

<p><code>    ceiling (<em>-5.2</em>)</code> = <var>-5</var></p>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-ceiling">XPath 1.0 4.4</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
